import SwiftUI
import WebKit

struct ContentView : UIViewRepresentable {
    let request: URLRequest
    
    func makeUIView(context: Context) -> WKWebView {
        return WKWebView()
    }
    
    func updateUIView(_ uiView: WKWebView, context: Context) {
        uiView.load(request)
    }
}

#if DEBUG
struct ContentView_Previews : PreviewProvider {
    static var previews: some View {
        ContentView(request: URLRequest(url: URL(string: "https://dbui:dbui@dbui.io")!))
    }
}
#endif
